Name:           dump978-fa
Version:        9.0
Release:        1%{?dist}
Summary:        FlightAware's 978MHz UAT demodulator

License:        BSD
URL:            https://github.com/flightaware/dump978
Source0:        https://github.com/flightaware/dump978/archive/refs/tags/v%{version}.tar.gz
Source1:        dump978-fa.sysysers

Patch0:         dump978-fa-7.2-makefile.patch
Patch1:         dump978-fa-7.2-startup.patch
#Patch2:         dump978-fa-7.2-std::array.patch

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  boost-devel
BuildRequires:  boost-system
BuildRequires:  boost-program-options
BuildRequires:  boost-regex
BuildRequires:  boost-filesystem
BuildRequires:  SoapySDR-devel
BuildRequires:  systemd-rpm-macros

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
This is the FlightAware 978MHz UAT decoder.

It is a reimplementation in C++, loosely based on the demodulator from
https://github.com/mutability/dump978.

%prep
%autosetup -n dump978-%{version} -p 2

%build
export CFLAGS="%{__global_cflags}"
export CXXFLAGS="%{__global_cflags}"
export LDFLAGS="%{build_ldflags}"
%make_build \
    VERSION="%{version}"
%make_build \
    VERSION="%{version}" \
    faup978

%install
rm -rf %{buildroot}
install -D dump978-fa %{buildroot}%{_bindir}/dump978-fa
install -D skyaware978 %{buildroot}%{_bindir}/skyaware978-fa
install -D faup978 %{buildroot}%{_libexecdir}/%{name}/faup978
install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/dump978-fa.conf
install -d %{buildroot}/var/www/skyaware978
cp -r skyaware/* %{buildroot}/var/www/skyaware978
install -D -t %{buildroot}%{_libexecdir}/%{name} debian/start-dump978-fa
install -D -t %{buildroot}%{_libexecdir}/%{name} debian/start-skyaware978
install -D debian/dump978-fa.default %{buildroot}%{_sysconfdir}/sysconfig/dump978-fa
install -D debian/skyaware978.default %{buildroot}%{_sysconfdir}/sysconfig/skyaware978
install -D debian/dump978-fa.service %{buildroot}%{_unitdir}/dump978-fa.service
install -D debian/skyaware978.service %{buildroot}%{_unitdir}/skyaware978.service

# Unless we strip executable bits here, /usr/lib/rpm/redhat/brp-mangle-shebangs
# will fail later in the process
find %{buildroot}/var/www -type f -exec chmod 0644 {} \;

%files
%license LICENSE
%doc README.md
%{_bindir}/*
%{_libexecdir}/%{name}
%{_unitdir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/
/var/www/*
%{_sysusersdir}/dump978-fa.conf

%pre
%sysusers_create_compat %{SOURCE1}

%post
%systemd_post dump978-fa.service
%systemd_post skyaware978.service

%preun
%systemd_preun dump978-fa.service
%systemd_preun skyaware978.service

%postun
%systemd_postun_with_restart dump978-fa.service
%systemd_postun skyaware978.service

%changelog
* Sun Jan 28 2024 Ralf Ertzinger <ralf@skytale.net> - 9.0-1
- Update to 9.0

* Thu Dec 08 2022 Ralf Ertzinger <ralf@skytale.net> - 8.1-1
- Update to 8.1

* Thu May 05 2022 Ralf Ertzinger <ralf@skytale.net> - 7.2-1
- Update to 7.2

* Thu Jan 13 2022 Ralf Ertzinger <ralf@skytale.net> - 7.1-0.1
- Update to 7.1

* Tue Sep 14 2021 Ralf Ertzinger <ralf@skytale.net> - 6.1-1
- Update to 6.1

* Thu May 27 2021 Ralf Ertzinger <ralf@skytale.net> - 5.0-4
- Initial build for 5.0
